Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Asynch_Write_File_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_File. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Write_File_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Write_File_Impl:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Asynch_Write_File_Impl (void)
virtual int | write (ACE_Message_Block &message_block, size_t bytes_to_write, u_long offset, u_long offset_high, const void *act, int priority, int signal_number)=0
virtual int | writev (ACE_Message_Block &message_block, size_t bytes_to_write, u_long offset, u_long offset_high, const void *act, int priority, int signal_number)=0
virtual int | write (ACE_Message_Block &message_block, size_t bytes_to_write, const void *act, int priority, int signal_number)=0
virtual int | writev (ACE_Message_Block &message_block, size_t bytes_to_write, const void *act, int priority, int signal_number)=0
## Protected Methods
| ACE_Asynch_Write_File_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_File.

## Constructor & Destructor Documentation

ACE_Asynch_Write_File_Impl::~ACE_Asynch_Write_File_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Write_File_Impl::ACE_Asynch_Write_File_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual int ACE_Asynch_Write_File_Impl::write | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| This starts off an asynchronous write. Upto <bytes_to_write> will be written from the <message_block>. Implements ACE_Asynch_Write_Stream_Impl. Implemented in ACE_POSIX_Asynch_Write_File, and ACE_WIN32_Asynch_Write_File.

virtual int ACE_Asynch_Write_File_Impl::write | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | u_long | offset,
|  | u_long | offset_high,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| This starts off an asynchronous write. Upto <bytes_to_write> will be write and stored in the <message_block>. The write will start at <offset> from the beginning of the file. Implemented in ACE_POSIX_Asynch_Write_File, and ACE_WIN32_Asynch_Write_File.

virtual int ACE_Asynch_Write_File_Impl::writev | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| Same as above but with gather support, through chaining of composite message blocks using the continuation field. Implements ACE_Asynch_Write_Stream_Impl. Implemented in ACE_WIN32_Asynch_Write_File.

virtual int ACE_Asynch_Write_File_Impl::writev | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | u_long | offset,
|  | u_long | offset_high,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| Same as above but with gather support, through chaining of composite message blocks using the continuation field. NOTE: In win32 Each data block payload must be at least the size of a system memory page and must be aligned on a system memory page size boundary Implemented in ACE_WIN32_Asynch_Write_File.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO_Impl.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO_Impl.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO_Impl.i